function::tz_ctime
Prev | Chapter 4. Time utility functions | Next

## Name

function::tz_ctime — Convert seconds since epoch into human readable date/time string, with local time zone

## Synopsis

        tz_ctime(epochsecs:)

## Arguments

`epochsecs`

  number of seconds since epoch (as returned by `gettimeofday_s`)

## Description

Takes an argument of seconds since the epoch as returned by `gettimeofday_s`. Returns a string of the same form as `ctime`, but offsets the epoch time for the local time zone, and appends the name of the local time zone. The string length may vary. The time zone information is passed by staprun at script startup only.

Prev | Up | Next
function::ctime | Home | function::tz_gmtoff